List entries
A content type’s entries with resolved field values; rich text bodies are markdown as last saved by the realtime room. A map returns its single entry as a one-element list.
GET
/content/{type}Path parameters
typestringrequiredResponses
200OK
typeobjectrequiredShow propertiesHide properties
slugstringrequirednamestringrequiredkindstringrequiredAllowed:
collectionmapfieldsobject[]requiredShow propertiesHide properties
Array of
objectkeystringrequirednamestringrequiredtypestringrequiredAllowed:
textrich_textnumbercheckboxdateselectmulti_selectlinkpersonassetreferencemulti_referenceoptionsobject[]requiredShow propertiesHide properties
Array of
objectnamestringrequiredcolorstringrequiredcollectionstringentriesobject[]requiredShow propertiesHide properties
Array of
objectidstringrequiredslugstringrequiredtitlestringrequiredfieldsobjectrequiredcreatedAtstring<date-time>requiredupdatedAtstring<date-time>required401401
One of:
object
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "Authentication required. Pass an organization API key in the `x-api-key` header."
dataanyobject
definedanyrequiredcodestringrequiredstatusnumberrequiredmessagestringrequireddataany404404
One of:
object
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "No content type with that slug in this organization."
dataanyobject
definedanyrequiredcodestringrequiredstatusnumberrequiredmessagestringrequireddataany429429
One of:
object
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "The organization's API request limit for this period has been reached."
dataanyobject
definedanyrequiredcodeanyrequiredstatusanyrequiredmessagestringrequireddefault: "Too many requests. Try again shortly."
dataanyobject
definedanyrequiredcodestringrequiredstatusnumberrequiredmessagestringrequireddataanyRequest
curl -X GET "https://stetcms.com/api/v1/content/string"const response = await fetch("https://stetcms.com/api/v1/content/string", {
method: "GET"
});Response
{
"type": {
"slug": "string",
"name": "string",
"kind": "collection",
"fields": [
{
"key": "string",
"name": "string",
"type": "text",
"options": [
{
"name": "string",
"color": "string"
}
],
"collection": "string"
}
]
},
"entries": [
{
"id": "string",
"slug": "string",
"title": "string",
"fields": {},
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}
]
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required. Pass an organization API key in the `x-api-key` header.",
"data": "string"
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "No content type with that slug in this organization.",
"data": "string"
}{
"defined": true,
"code": "QUOTA_EXCEEDED",
"status": 429,
"message": "The organization's API request limit for this period has been reached.",
"data": "string"
}